#include <bits/stdc++.h>
using namespace std;

int calc(int l, int r, vector<int> p){
    int k = 0;
    l--;
    r--;
    for (int i = 0; i < p.size(); i++){
        if (p[i] > l && p[i] <= r){
            k++;
        }
    }
    return k;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n, l, r;
    string s;
    vector<int> p, ans; //протиріччя, відповідь
	cin >> s >> n;
    
    for (int i = 1; i < s.size();i++){
        if (s[i] < s[i-1]) p.push_back(i);
    }
    for (int i = 0; i < n; i++){
        cin >> l >> r;
        cout << calc(l,r,p)+1 << endl;
    }
    
}
